Test IAM permissions in organization
Returns which of the given permissions the caller holds on a access profile.
POST
Returns which of the given permissions the caller holds on a access profile.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
organization*stringThe organization's ID.
Match
^org_[0-7][0-9a-hjkmnp-tv-z]{25}$accessProfile*stringThe access profile's ID.
Match
^acp_[0-7][0-9a-hjkmnp-tv-z]{25}$application/json- body
permissions*array<string>Permissions to test, such as resourcemanager.projects.get.
Items
1 <= items <= 100OK
application/json- response
permissions*array<string>The permissions tested that the caller holds.
curl -X POST 'https://api.kosem.ai/v1/organizations/string/accessProfiles/string/test-permissions' \
-H 'Content-Type: application/json' \
-d '{
"permissions": [
"string"
]
}'Example Response
{
"permissions": [
"string"
]
}